package solver

// Determine how workload should be split among the agents
func (solver *Solver) splitWorkload() []int {
	agents := make([]int, solver.Controller.Split)
	var tracker int
	var tasks int = len(solver.row1s)

	for tasks != 0 {
		agents[tracker] += 1
		tasks -= 1
		tracker += 1
		if tracker == solver.Controller.Split {
			tracker = 0
		}
	}

	return agents
}
